# Uses of Class
java.io.CharArrayWriter

Packages that use CharArrayWriter
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of CharArrayWriter in java.io

Methods in java.io that return CharArrayWriter
Modifier and Type
Method
Description
`CharArrayWriter`
CharArrayWriter.`append​(char c)`
Appends the specified character to this writer.
`CharArrayWriter`
CharArrayWriter.`append​(CharSequence csq)`
Appends the specified character sequence to this writer.
`CharArrayWriter`
CharArrayWriter.`append​(CharSequence csq, int start, int end)`
Appends a subsequence of the specified character sequence to this writer.